/*
 * @Author: xun
 * @Date: 2024-07-22 15:54:49
 * @LastEditors: xun
 * @LastEditTime: 2024-07-22 15:59:45
 * @Description: 
 * Copyright (c) 2024 by CCYH, All Rights Reserved. 
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_

#include <stdio.h>

typedef unsigned char stbi_uc;
typedef unsigned short stbi_us;

stbi_uc *stbi_load_from_memory   (stbi_uc const *buffer, int len   , int *x, int *y, int *channels_in_file, int desired_channels);

#ifndef STBI_NO_STDIO
stbi_uc *stbi_load            (char const *filename, int *x, int *y, int *channels_in_file, int desired_channels);
stbi_uc *stbi_load_from_file  (FILE *f, int *x, int *y, int *channels_in_file, int desired_channels);
// for stbi_load_from_file, file pointer is left pointing immediately after image
#endif

const char *stbi_failure_reason(void);

#ifndef STBI_NO_GIF
stbi_uc *stbi_load_gif_from_memory(stbi_uc const *buffer, int len, int **delays, int *x, int *y, int *z, int *comp, int req_comp);
#endif

#endif // !_IMAGE_H_
